html, body {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
}

.content {
  flex: 1 0 auto;
}

footer {
  flex-shrink: 0;
}

body {
  
  display: flex;
	display: -webkit-flex;
  
  align-items: center;
	-webkit-align-items: center;
  
  justify-content: center;
	-webkit-justify-content: center;
  font-size: calc(14px + (26 - 14) * ((100vw - 300px) / (1600 - 300)));
  font-family: Georgia, "Times New Roman", Times, serif;
  
	background: url(tinytowns_bg.jpg) no-repeat center fixed; 
	background-size: cover;
  -webkit-background-size: cover;
	background-color: #52abdf;
}

body.dimmed {
  background: linear-gradient( rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5) ), url(tinytowns_bg.jpg) no-repeat center fixed;
	background-size: cover;
  -webkit-background-size: cover;
	background-color: #52abdf;
}

div.info-pane {
	position: absolute;
	top: 1rem;
	left: .5rem;
	margin: 1rem;
	padding: .5rem 1rem;
	font-size: .8rem;
	color: #fff;
	background: rgba(0, 0, 0, 0.75);
}

.info-pane .intro {
	text-align: center;
}

hr {
	border-top: 1px solid #fff;
	margin: 1rem 20% 2rem;
}

footer.copyright {
/*	position:absolute;
	left: 0;
	bottom:0;
	width:100%;*/
	padding: .5rem 1rem .8rem;
	color: #fff;
	text-align: center;
	font-size: .8rem;
	background: rgba(0, 0, 0, 0.5);
}

#launch_screen {
  text-align: center;
}

img.logo {
  display: inline-block;
	max-width: 40%;
	margin: 5% auto 10%;
}


.card .resource.single.square {
  width: 40%;
}



@media (orientation: landscape) {
  .card .resource.single.square {
    width: 30%;
  }
}

.card .resource.single.square:before {
  content: "";
  display: block;
  padding-top: 100%;
}

.card .resource_name {
  text-align: center;
  font-weight: bold;
  line-height: 1rem;
  color: #372D15;
  color: #fff;`
  transition: all .5s linear;
}


#solo_screen .resource {
  display: inline-block;
  width: 20vw;
  height: 20vw;
  margin: 0 1rem;
}

#solo_screen #the_resources {
  position:absolute;
  left:50%;
  top:50%;
  width: 70vw;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

@media (orientation: portrait) {
  #solo_screen #the_resources {
    width: 95vw;
  }
  
  #solo_screen .resource a {
    display: inline-block;
    width: 15vw;
    height: 15vw;
    margin: 0 1rem;
    border: 4px solid #fff;
    transition: all .5s linear;
  }
}

/*#solo_screen .resource.square {
  width: 30%;
}

#solo_screen .resource.square:before {
  content: "";
  display: block;
  padding-top: 100%;
}*/

#multi_screen .card .resource a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 4px solid #fff;
  transition: all .5s linear;
}

.card .resource.single {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
  z-index: 100;
}

.card .wood {
  background: #6A3A36 !important;
}

.card .brick {
  background: #EF3E28;
}

.card .stone {
  background: #BCB09F;
}

.card .wheat {
  background: #FEBE3F;
}

.card .glass {
  background: #009DA6;
}
.card .blank {
  background: #fff;
}


/*.card .actions {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}*/

.card.resource_card .actions {
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  text-align: center;
}

footer a {
	color: #f6c040;
}

.btn {
  display: block;
  background-color: #f6c040;
  color: #fff;
  cursor: pointer;
  padding: .375rem .75rem;
  font-size: 1rem;
	font-weight: bold;
  line-height: 1.5;
  border-radius: .25rem;
  border: 1px solid transparent;
  text-decoration: none;
}

.btn:hover {
  background-color: #6a4025;
  color: white;
}

.btn-solo {
	background-color: #b33d86;
}

.action .btn {
  margin: 0 20%;
}

a.btn-help,
a.btn-reset {
	position: fixed;
}

a.btn-help {
	right: 1rem;
	bottom: 1rem;
}

a.btn-reset {
	top: 1rem;
	right: 1rem;
}

.btn-sprite {
	display: block;
	max-width: 100%;
	background-size: 100%;
	background-image: url('btn-sprite.png');
	width: 32px;
	height: 32px;
	border-radius: 50px;
	background-color: rgba(113, 28, 31, 1.00);
}
 
.btn-sprite.btn-home { background-position: 0 100%; background-size: 200%; }
.btn-sprite.btn-reset { background-position: 0 0; background-size: 200%; }
.btn-sprite.btn-help { background-position: 100% 0; background-size: 200%; }
.btn-sprite.btn-bag { background-position: 100% 100%; background-size: 200%; }
